## AgsSynthEnums

AgsSynthEnums — synth enumerations

## Stability Level

Stable, unless otherwise indicated

## Types and Values

enum | AgsSynthOscillatorMode
enum | AgsSynthKeyMode
enum | AgsPitchTypeMode

## Object Hierarchy

        GEnum
        ├── AgsPitchTypeMode
        ├── AgsSynthKeyMode
        ╰── AgsSynthOscillatorMode

## Includes

    #include <ags/audio/ags_synth_enums.h>

## Description

Enumerations related to synth.

## Functions

## Types and Values

### enum AgsSynthOscillatorMode

Enum values to specify oscillator mode.

#### Members

AGS_SYNTH_OSCILLATOR_SIN | sine oscillator |
AGS_SYNTH_OSCILLATOR_SAWTOOTH | sawtooth oscillator |
AGS_SYNTH_OSCILLATOR_TRIANGLE | triangle oscillator |
AGS_SYNTH_OSCILLATOR_SQUARE | square oscillator |
AGS_SYNTH_OSCILLATOR_IMPULSE | impulse oscillator |
AGS_SYNTH_OSCILLATOR_LAST | last mode |

### enum AgsSynthKeyMode

Enum values to specify key mode.

#### Members

AGS_SYNTH_KEY_1_1 | 1/1 key |
AGS_SYNTH_KEY_2_2 | 2/2 key |
AGS_SYNTH_KEY_4_4 | 4/4 key |
AGS_SYNTH_KEY_8_8 | 8/8 key |
AGS_SYNTH_KEY_16_16 | 16/16 key |

### enum AgsPitchTypeMode

Enum values to specify pitch type.

#### Members

AGS_PITCH_TYPE_FLUID_INTERPOLATE_NONE | fluidsynth's interpolate none |
AGS_PITCH_TYPE_FLUID_INTERPOLATE_LINEAR | fluidsynth's interpolate none |
AGS_PITCH_TYPE_FLUID_INTERPOLATE_4TH_ORDER | fluidsynth's interpolate none |
AGS_PITCH_TYPE_FLUID_INTERPOLATE_7TH_ORDER | fluidsynth's interpolate none |
AGS_PITCH_TYPE_INTERPOLATE_2X_ALIAS | interpolate 2 times alias |
AGS_PITCH_TYPE_INTERPOLATE_4X_ALIAS | interpolate 4 times alias |
AGS_PITCH_TYPE_INTERPOLATE_16X_ALIAS | interpolate 16 times alias |